> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List manually uploaded videos

> List all manually uploaded videos. Videos that were implicitly uploaded using the
`/jobs/from-url/` endpoint are not included in this list.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/videos/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
tags:
  - name: tensorshots-projects
    description: Create, read, update, and delete TensorShots projects.
    x-displayName: Projects
    x-group: TensorShots Projects
  - name: tensorshots-shots
    description: Manage TensorShots project shots and shot voiceovers.
    x-displayName: Shots
    x-group: TensorShots Shots
  - name: tensorshots-assets
    description: Manage TensorShots audio, image, video, and shared assets.
    x-displayName: Assets
    x-group: TensorShots Assets
  - name: tensorshots-jobs
    description: Start, list, read, and delete TensorShots generation and render jobs.
    x-displayName: Jobs
    x-group: TensorShots Jobs
  - name: tensorshots-settings
    description: Manage TensorShots styles, music, voices, and prompt templates.
    x-displayName: Settings
    x-group: TensorShots Settings
  - name: real-estate-projects
    description: >-
      Manage real estate projects, property data, render settings, previews, and
      cost estimates.
    x-displayName: Projects
    x-group: Real Estate Projects
  - name: real-estate-shots
    description: >-
      Manage ordered project shots, first frames, generation prompts, crops,
      timing, speed, and transitions.
    x-displayName: Shots
    x-group: Real Estate Shots
  - name: real-estate-assets
    description: >-
      Manage project image assets, video assets, logos, and uploaded background
      music.
    x-displayName: Assets
    x-group: Real Estate Assets
  - name: real-estate-voiceover
    description: >-
      Manage project voiceover text, generated audio, caption timing, and text
      limits.
    x-displayName: Voiceover
    x-group: Real Estate Voiceover
  - name: real-estate-jobs
    description: >-
      Start, list, read, and poll property import, image edit, shot video, full
      video, and render jobs.
    x-displayName: Jobs
    x-group: Real Estate Jobs
  - name: real-estate-branding
    description: >-
      Manage reusable agent profiles and brand kits, then copy them into
      projects.
    x-displayName: Branding
    x-group: Real Estate Branding
  - name: real-estate-templates
    description: List intro and outro templates and manage project template images.
    x-displayName: Templates
    x-group: Real Estate Templates
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/videos/:
    get:
      tags:
        - videos
      summary: List manually uploaded videos
      description: >-
        List all manually uploaded videos. Videos that were implicitly uploaded
        using the

        `/jobs/from-url/` endpoint are not included in this list.
      operationId: videos_list
      parameters:
        - in: query
          name: created_at_after
          schema:
            type: string
            format: date
        - in: query
          name: created_at_before
          schema:
            type: string
            format: date
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedVideoList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
        - jwtAuth: []
components:
  schemas:
    PaginatedVideoList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/Video'
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    Video:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Media name
        width:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Width of the video in pixels
        height:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Height of the video in pixels
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date when the media was created
        n_frames:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Number of frames in the video
        framerate:
          type:
            - number
            - 'null'
          format: double
          readOnly: true
          description: Video framerate in frames per second
        size:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Size of the video in bytes
        file:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            Pre-signed uploaded video URL. The URL may expire after some time.
            To generate a new URL, call the endpoint again. If the field is
            `null`, it means the video hasn't been completely uploaded to our
            servers yet. The field can also be `null` if the video was enhanced
            using the /jobs/from-url endpoint. In that case the video is not
            stored on our servers and the field is `null`
        owner:
          type: string
          format: email
          title: Email address
          readOnly: true
        thumbnail:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: >-
            Thumbnail of the video. `null` if the video was enhanced with the
            /jobs/from-url endpoint
        external_url:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
        bitrate:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Video bitrate in bits per second
        codec_id:
          type:
            - string
            - 'null'
          readOnly: true
        bit_depth:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Bit depth of the video
        chroma_subsampling:
          type:
            - string
            - 'null'
          readOnly: true
        color_space:
          type:
            - string
            - 'null'
          readOnly: true
      required:
        - bit_depth
        - bitrate
        - chroma_subsampling
        - codec_id
        - color_space
        - created_at
        - external_url
        - framerate
        - height
        - id
        - n_frames
        - name
        - owner
        - size
        - thumbnail
        - width
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.